aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.github/workflows/CI.yml10
-rwxr-xr-xci/install_cmake.sh7
2 files changed, 10 insertions, 7 deletions
diff --git a/.github/workflows/CI.yml b/.github/workflows/CI.yml
index c9618f5..2f351a1 100644
--- a/.github/workflows/CI.yml
+++ b/.github/workflows/CI.yml
@@ -31,13 +31,9 @@ jobs:
- name: Checkout code
uses: actions/checkout@v1
- - name: Set up Python 3.x
- uses: actions/setup-python@v1 # Use pip to install latest CMake, & FORD/Jin2For, etc.
- with:
- python-version: 3.x
-
- - name: Set up common
- run: pip install --upgrade cmake
+ - name: Install CMake Linux
+ if: contains(matrix.os, 'ubuntu')
+ run: ci/install_cmake.sh
- name: Install GFortran Linux
if: contains(matrix.os, 'ubuntu')
diff --git a/ci/install_cmake.sh b/ci/install_cmake.sh
new file mode 100755
index 0000000..9afe1e2
--- /dev/null
+++ b/ci/install_cmake.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+set -ex
+
+wget -qO- https://github.com/Kitware/CMake/releases/download/v3.16.3/cmake-3.16.3-Linux-x86_64.tar.gz | sudo tar xz --strip=1 -C /usr/local/
+which cmake
+cmake --version